/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_hardwareUsage = 'dashboardSiteReducer_GET_hardwareUsage',
  GET_hardwareUsage_PENDING = 'dashboardSiteReducer_GET_hardwareUsage_PENDING',
  GET_hardwareUsage_FULFILLED = 'dashboardSiteReducer_GET_hardwareUsage_FULFILLED',
  GET_hardwareUsage_REJECTED = 'dashboardSiteReducer_GET_hardwareUsage_REJECTED',



  GET_logicalUsage = 'dashboardSiteReducer_GET_logicalUsage',
  GET_logicalUsage_PENDING = 'dashboardSiteReducer_GET_logicalUsage_PENDING',
  GET_logicalUsage_FULFILLED = 'dashboardSiteReducer_GET_logicalUsage_FULFILLED',
  GET_logicalUsage_REJECTED = 'dashboardSiteReducer_GET_logicalUsage_REJECTED',

  GET_clientServerConstants = 'dashboardSiteReducer_GET_clientServerConstants',
  GET_clientServerConstants_PENDING = 'dashboardSiteReducer_GET_clientServerConstants_PENDING',
  GET_clientServerConstants_FULFILLED = 'dashboardSiteReducer_GET_clientServerConstants_FULFILLED',
  GET_clientServerConstants_REJECTED = 'dashboardSiteReducer_GET_clientServerConstants_REJECTED',

  GET_clientServerAppSettings = 'dashboardSiteReducer_GET_clientServerAppSettings',
  GET_clientServerAppSettings_PENDING = 'dashboardSiteReducer_GET_clientServerAppSettings_PENDING',
  GET_clientServerAppSettings_FULFILLED = 'dashboardSiteReducer_GET_clientServerAppSettings_FULFILLED',
  GET_clientServerAppSettings_REJECTED = 'dashboardSiteReducer_GET_clientServerAppSettings_REJECTED',

  GET_clientServerSettings = 'dashboardSiteReducer_GET_clientServerSettings',
  GET_clientServerSettings_PENDING = 'dashboardSiteReducer_GET_clientServerSettings_PENDING',
  GET_clientServerSettings_FULFILLED = 'dashboardSiteReducer_GET_clientServerSettings_FULFILLED',
  GET_clientServerSettings_REJECTED = 'dashboardSiteReducer_GET_clientServerSettings_REJECTED',

  GET_testServerSettings = 'dashboardSiteReducer_GET_testServerSettings',
  GET_testServerSettings_PENDING = 'dashboardSiteReducer_GET_testServerSettings_PENDING',
  GET_testServerSettings_FULFILLED = 'dashboardSiteReducer_GET_testServerSettings_FULFILLED',
  GET_testServerSettings_REJECTED = 'dashboardSiteReducer_GET_testServerSettings_REJECTED',

  SET_isLoading = 'dashboardSiteReducer_SET_isLoading',

  SET_isHardwareUsageStatisticRefreshing = 'dashboardSiteReducer_SET_isHardwareUsageStatisticRefreshing',

  RESET = 'dashboardSiteReducer_RESET',
}
